Page 1 of 2 12 LastLast
Results 1 to 10 of 12

Thread: Clean server apache2 install problem

  1. #1
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    297

    Default Clean server apache2 install problem

    Hi,

    I installed a 'few' tumbleweed servers, all default out of the box. When I use
    Code:
    zypper in apache2
    I get:

    Code:
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    Problem: apache2-2.4.27-1.3.x86_64 requires liblua5.3.so.5()(64bit), but this requirement cannot be provided
      uninstallable providers: liblua5_3-5-5.3.4-1.1.x86_64[repo-oss]
     Solution 1: replacement of liblua5_3-5.3.3-2.2.x86_64 with liblua5_3-5-5.3.4-1.1.x86_64
     Solution 2: do not install apache2-2.4.27-1.3.x86_64
     Solution 3: break apache2-2.4.27-1.3.x86_64 by ignoring some of its dependencies
    
    Choose from above solutions by number or cancel [1/2/3/c] (c): c
    Notice there is no default answer so I can't use the -n option with zypper.
    I figured it was some repo/package error that would get fixed pretty fast. Now a couple of weeks later I found some time to pick this up again, and the problem still remains.
    I could go for solution 1 and everything seems to work. But I have a large amount of servers which all need apache2. And without the use of -n I don't think I can script this. Certainly not with Ansible, which is preferred.

    Any idea if this needs fixing in the package or to I need to get really creative to automate this? It doesn't seem OK on a clean box to be asked this question.

  2. #2
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,325
    Blog Entries
    15

    Default Re: Clean server apache2 install problem

    Hi
    I would suggest updating your install iso image or make sure you zypper dup first, then install apache2, but lua does need to be updated....
    Code:
    Repository     : Main Repository (OSS)                           
    Name           : lua53                                           
    Version        : 5.3.4-1.1
    
    zypper in -D apache2
    Loading repository data...
    Reading installed packages...
    Resolving package dependencies...
    
    The following 5 NEW packages are going to be installed:
      apache2 apache2-mod_dnssd apache2-prefork apache2-utils system-user-wwwrun
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  3. #3
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    297

    Default Re: Clean server apache2 install problem

    Hi, thanks for your reply.
    I'll try this.

    Yet, Tumbleweed is a rolling distro. I didn't think zypper dup would be needer, ever?

  4. #4
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,325
    Blog Entries
    15

    Default Re: Clean server apache2 install problem

    Quote Originally Posted by Ricochet View Post
    Hi, thanks for your reply.
    I'll try this.

    Yet, Tumbleweed is a rolling distro. I didn't think zypper dup would be needer, ever?
    Hi
    For Tumbleweed, zypper dup always needs to be run, not 'up' even numerous times (snapshot updates) in a week for the latest packages... if your running btrfs, make sure you configure snapshots and ensure the btrfs maintenance service is running to keep the disk space healthy.....

    The release is currently at;
    Code:
    cat /etc/os-release |grep VERSION_ID
    VERSION_ID="20171007"
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  5. #5
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    297

    Default Re: Clean server apache2 install problem

    Ok thanks, I did not know this.

  6. #6
    Join Date
    Jun 2008
    Location
    Podunk
    Posts
    32,325
    Blog Entries
    15

    Default Re: Clean server apache2 install problem

    Quote Originally Posted by Ricochet View Post
    Ok thanks, I did not know this.
    Hi
    It can also break since it uses bleeding edge packages, you might want to reconsider it's use in your environment and switch to openSUSE Leap 42.3?
    Cheers Malcolm °¿° SUSE Knowledge Partner (Linux Counter #276890)
    SUSE SLE, openSUSE Leap/Tumbleweed (x86_64) | GNOME DE
    If you find this post helpful and are logged into the web interface,
    please show your appreciation and click on the star below... Thanks!

  7. #7
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    297

    Default Re: Clean server apache2 install problem

    Since I now found some documentation, if using
    Code:
    zypper dup
    on Tumbleweed, make sure you use
    Code:
    zypper dup --no-allow-vendor-change
    for less possible problems.

  8. #8
    Join Date
    Jun 2008
    Location
    The Netherlands
    Posts
    297

    Default Re: Clean server apache2 install problem

    Quote Originally Posted by malcolmlewis View Post
    Hi
    It can also break since it uses bleeding edge packages, you might want to reconsider it's use in your environment and switch to openSUSE Leap 42.3?
    I found that a distro update on a LAMP server gives more problems when going from an older version to the newer than a rolling distro like TW. So I have been using TW for ages now without any problems ever as long as there is no GUI. When I need a GUI it's the latest OpenSUSE version I install.

    This is the first time I ran in to a problem on TW when just using it for LAMP.

  9. #9
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: Clean server apache2 install problem

    Quote Originally Posted by Ricochet View Post
    Since I now found some documentation, if using
    Code:
    zypper dup
    on Tumbleweed, make sure you use
    Code:
    zypper dup --no-allow-vendor-change
    for less possible problems.
    The latter is already the default, so no longer needed. A 'zypper dup' is all.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

  10. #10
    Join Date
    Jun 2008
    Location
    Groningen, Netherlands
    Posts
    20,925
    Blog Entries
    14

    Default Re: Clean server apache2 install problem

    Re, apache I'd recommend to install yast2-http-server as well to configure the webserver through YaST, or install the LAMP-pattern.
    ° Appreciate my reply? Click the star and let me know why.

    ° Perfection is not gonna happen. No way.

    http://en.opensuse.org/User:Knurpht
    http://nl.opensuse.org/Gebruiker:Knurpht

Page 1 of 2 12 LastLast

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
  •